/*
 * This file is part of GFMerge. Copyright (c) 2007 Genome
 * Research Limited.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published 
 * by  the Free Software Foundation; either version 2 of the License or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.LIB.  If not, write to 
 * the Free Software Foundation Inc., 59 Temple Place - Suite 330, 
 * Boston, MA  02111-1307 USA
 */

package uk.ac.sanger.psu.gfmerge.datacomp;

import java.util.*;
import org.biojava.bio.seq.*;

/** interface for GFMergeFeature objects
 * 
 * @author Sebastian R. Spiegler
 * @see uk.ac.sanger.psu.gfmerge.datacomp.GFMergeFeature
 * @see uk.ac.sanger.psu.gfmerge.datacomp.Locate
 * @version 1.0
 */

public interface GFMergeFeatureAble extends LocateAble{

  ///////////////////////////////////////
  // operations

    public StrandedFeature getFeature();
    public ArrayList getExons();
    public ArrayList getIntrons();
    public long getLength();
    public long getTotalExonLength();

} // end GeneModel
